package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class DormitoryTypeTreeCollection extends AbstractObjectCollection 
{
    public DormitoryTypeTreeCollection()
    {
        super(DormitoryTypeTreeInfo.class);
    }
    public boolean add(DormitoryTypeTreeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(DormitoryTypeTreeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(DormitoryTypeTreeInfo item)
    {
        return removeObject(item);
    }
    public DormitoryTypeTreeInfo get(int index)
    {
        return(DormitoryTypeTreeInfo)getObject(index);
    }
    public DormitoryTypeTreeInfo get(Object key)
    {
        return(DormitoryTypeTreeInfo)getObject(key);
    }
    public void set(int index, DormitoryTypeTreeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(DormitoryTypeTreeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(DormitoryTypeTreeInfo item)
    {
        return super.indexOf(item);
    }
}